v_voip_fec_rx: XVoipFEC_RX_Config Struct Reference

| v_voip_fec_rx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XVoipFEC_RX_Config Struct Reference

This typedef contains configuration information for the Generic Decap core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the VoIP FEC Receiver core. More...
UINTPTR | BaseAddress
    BaseAddress is the physical base address of the
core's registers More...
u16 | HWChannelNumber
| Current Supported Channel by the core. More...
u32 | MediaBaseAddress
| Media Packet Buffer Base Address. More...
u32 | MediaBufferDepthPerChannel
| Media Packet Buffer Depth Per Channel. More...
u32 | FECBaseAddress
| FEC Packet Buffer Base Address. More...
u32 | FECBufferDepth
| FEC Packet Buffer Depth. More...
u8 | FECEnable
| ST2022-1/5/FEC Recovery Enable. More...
u8 | SeamlessEnable
| ST2022-7/Seamless Switching Enable. More...
u8 | ProgMemoryEnable
| Configurable External Memory Base Address & Buffer Depth Enable. More...

## Detailed Description

This typedef contains configuration information for the Generic Decap core.

Each Generic Decap device should have a configuration structure associated.

## Field Documentation

UINTPTR XVoipFEC_RX_Config::BaseAddress

    BaseAddress is the physical base address of the

core's registers

Referenced by XVoipFEC_HitlessStatusRegValue(), XVoipFEC_RX_CfgInitialize(), XVoipFEC_RX_ChannelEnable(), XVoipFEC_RX_CoreInfo(), XVoipFEC_RX_FECParamsRegValue(), XVoipFEC_RX_FECRecoveryDisable(), XVoipFEC_RX_FECStatisticsRegValue(), XVoipFEC_RX_FECStatusRegValue(), XVoipFEC_RX_MediaPacketBypass(), and XVoipFEC_RX_OORCfg().

u16 XVoipFEC_RX_Config::DeviceId

DeviceId is the unique ID of the VoIP FEC Receiver core.

u32 XVoipFEC_RX_Config::FECBaseAddress

FEC Packet Buffer Base Address.

u32 XVoipFEC_RX_Config::FECBufferDepth

FEC Packet Buffer Depth.

u8 XVoipFEC_RX_Config::FECEnable

ST2022-1/5/FEC Recovery Enable.

Referenced by XVoipFEC_RX_CoreInfo().

u16 XVoipFEC_RX_Config::HWChannelNumber

Current Supported Channel by the core.

Referenced by XVoipFEC_RX_CoreInfo().

u32 XVoipFEC_RX_Config::MediaBaseAddress

Media Packet Buffer Base Address.

u32 XVoipFEC_RX_Config::MediaBufferDepthPerChannel

Media Packet Buffer Depth Per Channel.

u8 XVoipFEC_RX_Config::ProgMemoryEnable

Configurable External Memory Base Address & Buffer Depth Enable.

u8 XVoipFEC_RX_Config::SeamlessEnable

ST2022-7/Seamless Switching Enable.

Referenced by XVoipFEC_RX_CoreInfo().